Subject: Re: [PATCH] precious-files.txt: new document proposing new precious file type

From: Junio C Hamano <[email-masked]>
Date: Fri, 19 Jan 2024 10:45:50 -0800

Sebastian Thiel <[email-masked]> writes:

> I am glad I can pull my initial proposition of 'having both syntaxes' off
> the table to side with this version - it's gorgeous.
>
> It's easy to forget that the search-order when matching ignore patterns
> is back to front, which makes this 'trick' work.

The true gem is not the search-order, though.  It is the "last one
wins" rule.  Back to front search is merely an implementation detail
to optimize the search so that we can stop at the first hit ;-)

> If the insights gained with the last couple of emails would see their digest
> in the user-facing documentation, I think precious files wouldn't only become
> usable but would also allow projects to make the their choice during
> the transition period during which some users will inevitably access the repository
> with a Git that doesn't know about precious files yet.

OK.